# $Revision: 1.6.2.2 $, $Date: 2003/04/23 12:16:37 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Nilsimsa
Summary:	%{pdir}::%{pnam} Perl module
Summary(cs):	Modul %{pdir}::%{pnam} pro Perl
Summary(da):	Perlmodul %{pdir}::%{pnam}
Summary(de):	%{pdir}::%{pnam} Perl Modul
Summary(es):	Mdulo de Perl %{pdir}::%{pnam}
Summary(fr):	Module Perl %{pdir}::%{pnam}
Summary(it):	Modulo di Perl %{pdir}::%{pnam}
Summary(ja):	%{pdir}::%{pnam} Perl ⥸塼
Summary(ko):	%{pdir}::%{pnam}  
Summary(no):	Perlmodul %{pdir}::%{pnam}
Summary(pl):	Modu perla %{pdir}::%{pnam}
Summary(pt_BR):	Mdulo Perl %{pdir}::%{pnam}
Summary(pt):	Mdulo de Perl %{pdir}::%{pnam}
Summary(ru):	  Perl %{pdir}::%{pnam}
Summary(sv):	%{pdir}::%{pnam} Perlmodul
Summary(uk):	  Perl %{pdir}::%{pnam}
Summary(zh_CN):	%{pdir}::%{pnam} Perl ģ
Name:		perl-Digest-Nilsimsa
Version:	0.06
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A nilsimsa signature is a statistic of n-gram occurance in a piece of
text. It is a 256 bit value usually represented in hex. This module is
a wrapper around nilsimsa implementation in C by cmeclax.

%description -l pl
Sygnatura nilsimsa to statystyka wystpowania n-gramw w danym
tekcie. Jest to 256-bitowa liczba, przewanie reprezentowana
szesnastkowo. Modu jest nakadk na implementacj w C, ktrej
autorem jest cmeclax.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitearch}/%{pdir}/*.pm
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%attr(755,root,root) %{perl_sitearch}/auto/%{pdir}/%{pnam}/*.so
%{perl_sitearch}/auto/%{pdir}/%{pnam}/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Digest-Nilsimsa.spec,v $
Revision 1.6.2.2  2003/04/23 12:16:37  ankry
- really rel. 2

Revision 1.6.2.1  2003/03/13 00:57:05  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/28 10:08:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:31:48  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/22 11:07:12  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.2  2002/07/21 22:31:00  qboosh
- it can't be noarch!
- pl description, cosmetics

Revision 1.1  2002/07/21 14:36:22  radek
- new, STBR
